com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class JceEncryptions.Entry

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptionFactory.Entry
  - - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptions.Entry

- Enclosing class:
    JceEncryptions

      public static class JceEncryptions.Entry
      extends JceEncryptionFactory.Entry

- - ### Field Summary

    - ### Fields inherited from class com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptionFactory.Entry

      `algorithm, blockLength, keyLength, name, NONE, provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(java.lang.String name, java.lang.String algorithm, java.lang.Object provider, int blockLength, int keyLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JceEncryptionFactory` | `update(JceEncryptionFactory factory, java.security.Provider provider)`
    `JceEncryptionFactory` | `update(JceEncryptionFactory factory, java.lang.String provider)`

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptionFactory.Entry

      `clientToServer, entryFor, entryFor, serverToClient, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          public Entry(java.lang.String name,
                       java.lang.String algorithm,
                       java.lang.Object provider,
                       int blockLength,
                       int keyLength)

  - ### Method Detail

    - #### update

          public JceEncryptionFactory update(JceEncryptionFactory factory,
                                             java.lang.String provider)

    - #### update

          public JceEncryptionFactory update(JceEncryptionFactory factory,
                                             java.security.Provider provider)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved